<?php
session_start();
require_once("accesBase.php");
if(getGroupe($_SESSION['Login'])!=1)
{ header("Location: accueil.php"); }
?>

<!DOCTYPE html>

<html>
	<head>
		<?php include("head.php"); ?>
	</head>

	<!-- Contenu du site -->
	<body>
		<?php include("header.php"); ?>

		<!-- Centre de la page -->
		<div class="row">
				<div class="col-6 col-md-6 offset-3 offset-md-3" style="margin-top:70px;">
					<?php
					if (notAMember($_POST["id"]))
					{
						if($_POST["pass1"]==$_POST["pass2"])
						{
							if(inscription($_POST["id"], $_POST["pass1"], $_POST["nom"], $_POST["prenom"], $_POST["groupe"]))
							{
								$retour = "Nouveau compte créé avec succès !";
								$color = "alert-success";
							}
							else
							{
								$retour = "Echec de la création du compte !";
								$color = "alert-danger";
							}
						}
						else
						{
							$retour = "Les 2 mots de passe ne sont pas identiques !";
							$color = "alert-danger";
						}
					}
					else
					{
						$retour = "Le compte existe déjà !";
						$color = "alert-danger";
					}
					?>
					<br/>
					<div class="alert <?php echo $color;?>" role="alert">
						<?php echo $retour;?>
						<meta http-equiv="Refresh" content="5;url=accueil.php" />
					</div>
				</div>
			</div>
			<!-- fin contenu de la page -->
		</div>
		<!-- fin centre de la page -->
	</body>
</html>
